<mat-form-field class="col-12">
  <mat-label>{{label}}</mat-label>
  <mat-select [formControl]="accountControl" (selectionChange)="onSelectionChanged($event)" required>
    <mat-option *ngFor="let account of accounts" [value]="account">
      {{account.fullName}}
    </mat-option>
  </mat-select>
  <mat-error *ngIf="accountControl.hasError('required')">Please choose an account</mat-error>
</mat-form-field>
